{
	"name": "form/nc/nc-warehouse/query/warehouse-send.json",
	"table": [
		{
			"record_type": ["sales"],
			"table": "order_row"
		},
		{
			"record_type": ["product"],
			"table": "stock"
		},
		{
			"record_type": [""],
			"table": "product"
		}
	],
	"parameter": {
		"show_sql": false,
		"search_product": "form/nc/nc-warehouse/rec.json/search.product",
		"search_hide_before_date": "form/nc/nc-warehouse/rec.json/search.hide_before_date",
		"transfer_id": "",
		"send_type-": "form/nc/nc-warehouse/rec.json/send_type"
	},
	"query": [
		["ordr.stock_event_id", "<>", ""],
		"and",
		["ordr.product_id", "like", "search_product%"],
		"and",
		["st.event_time", ">=", "search_hide_before_date"],
		"and",
		["ordr.json_data.transfer_id", "like", "transfer_id"]
	],
	"query-": [
		["st.event_type", "in", "send_type"],
		"and",
		["st.event_time", ">=", "hide_before_date"],
		"and",
		["st.product_id", "like", "search_product%"],
		"and",
		["st.json_data.transfer_id", "like", "transfer_id"]
	],
	"order": ["st.product_id", ">", "st.event_time", "<", "st.json_data.time", "<", "st.record_id", "<"]
}
